GroovyAwareAspectJAwareAdvisorAutoProxyCreator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.aop.framework.autoproxy
[Java] Class GroovyAwareAspectJAwareAdvisorAutoProxyCreator

    java.lang.Object
      org.springframework.aop.framework.ProxyConfig
          org.springframework.aop.framework.autoproxy.AbstractAutoProxyCreator
              org.springframework.aop.framework.autoproxy.AbstractAdvisorAutoProxyCreator
                  org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator
                      org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator
                          org.codehaus.groovy.grails.aop.framework.autoproxy.GroovyAwareAspectJAwareAdvisorAutoProxyCreator

    public class GroovyAwareAspectJAwareAdvisorAutoProxyCreator
    extends org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator

Enables AspectJ weaving from the application context.

Authors:
  Graeme Rocher

Since:
  1.3.4

Field Summary

Fields inherited from class org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator
HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE

Fields inherited from class org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator
HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE

Method Summary
`protected boolean` | `shouldProxyTargetClass(java.lang.Class beanClass, java.lang.String beanName)`

Methods inherited from class org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator
org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setIncludePatterns(java.util.List), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setAspectJAdvisorFactory(org.springframework.aop.aspectj.annotation.AspectJAdvisorFactory), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isFrozen(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#getOrder(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setBeanClassLoader(java.lang.ClassLoader), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setFrozen(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setCustomTargetSourceCreators([Lorg.springframework.aop.framework.autoproxy.TargetSourceCreator;), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setInterceptorNames([Ljava.lang.String;), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setApplyCommonInterceptorsFirst(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setProxyClassLoader(java.lang.ClassLoader), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#predictBeanType(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#getEarlyBeanReference(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessBeforeInitialization(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessAfterInitialization(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessBeforeInstantiation(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#determineCandidateConstructors(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessAfterInstantiation(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#postProcessPropertyValues(org.springframework.beans.PropertyValues, [Ljava.beans.PropertyDescriptor;, java.lang.Object, java.lang.String), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setOrder(int), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isOpaque(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setOpaque(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#toString(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isOptimize(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setOptimize(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setProxyTargetClass(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#setExposeProxy(boolean), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isExposeProxy(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#isProxyTargetClass(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#wait(long, int), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#wait(long), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#wait(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#equals(java.lang.Object), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#hashCode(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#getClass(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#notify(), org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator#notifyAll()

Methods inherited from class org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator
org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setBeanFactory(org.springframework.beans.factory.BeanFactory), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#isFrozen(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#getOrder(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setBeanClassLoader(java.lang.ClassLoader), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setFrozen(boolean), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setAdvisorAdapterRegistry(org.springframework.aop.framework.adapter.AdvisorAdapterRegistry), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setCustomTargetSourceCreators([Lorg.springframework.aop.framework.autoproxy.TargetSourceCreator;), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setInterceptorNames([Ljava.lang.String;), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setApplyCommonInterceptorsFirst(boolean), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setProxyClassLoader(java.lang.ClassLoader), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#predictBeanType(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#getEarlyBeanReference(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#postProcessBeforeInitialization(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#postProcessAfterInitialization(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#postProcessBeforeInstantiation(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#determineCandidateConstructors(java.lang.Class, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#postProcessAfterInstantiation(java.lang.Object, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#postProcessPropertyValues(org.springframework.beans.PropertyValues, [Ljava.beans.PropertyDescriptor;, java.lang.Object, java.lang.String), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setOrder(int), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#isOpaque(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setOpaque(boolean), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#toString(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#copyFrom(org.springframework.aop.framework.ProxyConfig), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#isOptimize(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setOptimize(boolean), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setProxyTargetClass(boolean), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#setExposeProxy(boolean), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#isExposeProxy(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#isProxyTargetClass(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#wait(long, int), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#wait(long), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#wait(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#equals(java.lang.Object), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#hashCode(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#getClass(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#notify(), org.springframework.aop.aspectj.autoproxy.AspectJAwareAdvisorAutoProxyCreator#notifyAll()

Method Detail

### shouldProxyTargetClass

    @java.lang.Override
    protected boolean shouldProxyTargetClass(java.lang.Class beanClass, java.lang.String beanName)

Groovy Documentation